<?xml version="1.0" encoding="UTF-8"?>

<!--
 * 
 * This help file was generated from compdiv_evaluate.sci using help_from_sci().
 * 
 -->

<refentry version="5.0-subset Scilab" xml:id="compdiv_evaluate" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>compdiv_evaluate</refname><refpurpose>Evaluate intermediate expressions different formulas.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   g = compdiv_evaluate ( x , y , express , m )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>x :</term>
      <listitem><para> a 1-by-1 matrix of doubles, the numerator</para></listitem></varlistentry>
   <varlistentry><term>y :</term>
      <listitem><para> a 1-by-1 matrix of doubles, the denominator</para></listitem></varlistentry>
   <varlistentry><term>express :</term>
      <listitem><para> a 1-by-1 matrix of doubles, express=1,2,3,4,5,6,7,8 the expression.</para></listitem></varlistentry>
   <varlistentry><term>m :</term>
      <listitem><para> a 1-by-1 matrix of doubles, m=1,2,3, 4, 5, 6, the method.</para></listitem></varlistentry>
   <varlistentry><term>g :</term>
      <listitem><para> a 1-by-1 matrix of doubles, the evaluation of the expression.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Provides many expressions for the division x/y.
In order to return the result, we evaluate the expressions
r and t:
<itemizedlist>
<listitem><para>
If express=1, 2, 3, 4 evaluates r = d/c and t = 1/(c + d * r).
</para></listitem>
<listitem><para>
If express=5, 6, 7, 8 evaluates r = c/d and t = 1/(c * r + d).
</para></listitem>
</itemizedlist>
Then we return e or f, depending on the value of express.
<itemizedlist>
<listitem><para>
If express=1, returns e = (a + b * r) * t.
</para></listitem>
<listitem><para>
If express=2, returns f = (b - a * r) * t.
</para></listitem>
<listitem><para>
If express=3, returns e = (a + d * (b/c)) * t.
</para></listitem>
<listitem><para>
If express=4, returns f = (b - d * (a/c)) * t.
</para></listitem>
<listitem><para>
If express=5, returns e = (a * r + b) * t.
</para></listitem>
<listitem><para>
If express=6, returns f = (b * r - a) * t.
</para></listitem>
<listitem><para>
If express=7, returns e = (c * (a/d) + b) * t.
</para></listitem>
<listitem><para>
If express=8, returns f = (c * (b/d) - a) * t.
</para></listitem>
</itemizedlist>
Several methods are available.
<itemizedlist>
<listitem><para>
If m=1, uses the direct formula, e.g. e = (a + b * r) * t.
</para></listitem>
<listitem><para>
If m=2, uses the expanded formula, e.g. e = a*t + b * r * t.
</para></listitem>
<listitem><para>
If m=3,4,5,6, uses the super-scaled formula, e.g. (1+(b/a)*r)/((c/a)+(d/a)*r).
If m=3: scales by a, if m=4: scales by b,
if m=5: scales by c, if m=6: scales by d.
</para></listitem>
</itemizedlist>
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
x = 1+2*%i;
y = 3+4*%i;
z = 11/25 + %i * 2/25
// All formulas for e
for express = [1 3 5 7]
for m = 1:6
e = compdiv_evaluate ( x , y , express , m )
end
end
// All formulas for f
for express = [2 4 6 8]
for m = 1:6
f = compdiv_evaluate ( x , y , express , m )
end
end

   ]]></programlisting>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Copyright (C) 2010-2011 - Robert L. Smith - Michael Baudin</member>
   </simplelist>
</refsection>
</refentry>
